package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.TunnelPart;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class TunnelPartNode extends Renderable{

    private final TunnelPart tp;

    public TunnelPartNode(TunnelPart tp) {
        this.tp = tp;
    }

    @Override
    public String getText() {
        return tp.getGmlId().getGmlString();
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.render(tp);
    }

    @Override
    public void refreshTextColor() {
        if (!tp.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (tp.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }
}
